# extracted from sip.h, SIP_API_MAJOR_NR SIP_API_MINOR_NR defines
Source1: macros.sip
%define _sip_api_major 11
%define _sip_api_minor 2
%define _sip_api       %{_sip_api_major}.%{_sip_api_minor}
%{!?python3_inc:%global python3_inc %(%{__python3} -c "from distutils.sysconfig import get_python_inc; print(get_python_inc(1))")}
%{!?__python2:%global __python2 /usr/bin/python2}
%{!?python2_sitearch:%global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python2_inc:%global python2_inc %(%{__python2} -c "from distutils.sysconfig import get_python_inc; print get_python_inc(1)")}

Name: python-sip
Summary: Riverbanks's python sip
Version: 4.17
Release: %mkrel 2
Group: Graphical desktop/KDE4
URL: http://www.riverbankcomputing.co.uk/software/sip/intro
Source0: http://www.riverbankcomputing.com/static/Downloads/sip4/sip-%{version}.tar.xz
Patch50: sip-4.16.3-no_strip.patch
# try not to rpath the world
Patch51: sip-4.16.3-no_rpath.patch

License: GPLv2+
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: bzip2-devel
BuildRequires: python-devel
BuildRequires:  python3-devel

Provides: sip-api(%{_sip_api_major}) = %{_sip_api}
%rename sip
%rename sip-devel
Obsoletes: sip-macros < 4.15.4

%description
SIP is a tool that makes it very easy to create Python bindings for C and C++ libraries. It was
originally developed to create PyQt, the Python bindings for the Qt toolkit, but can be used to
create bindings for any C or C++ library.

%package -n python3-sip
Summary: SIP - Python 3/C++ Bindings Generator
Group: Graphical desktop/KDE4
Provides: python3-sip-api(%{_sip_api_major}) = %{_sip_api}
Provides: python3-sip-api(%{_sip_api_major}) = %{_sip_api}

%description -n python3-sip
This is the Python 3 build of SIP.

SIP is a tool for generating bindings for C++ classes so that they can be
accessed as normal Python 3 classes. SIP takes many of its ideas from SWIG but,
because it is specifically designed for C++ and Python, is able to generate
tighter bindings. SIP is so called because it is a small SWIG.

SIP was originally designed to generate Python bindings for KDE and so has
explicit support for the signal slot mechanism used by the Qt/KDE class
libraries. However, SIP can be used to generate Python 3 bindings for any C++
class library.

%package -n python3-sip-devel
Summary: Files needed to generate Python 3 bindings for any C++ class library
Group: Development/Python
Requires: python3-sip = %{version}
Requires: python3-devel

%description -n python3-sip-devel
This package contains files needed to generate Python 3 bindings for any C++
classes library.


#------------------------------------------------------------

%prep
%setup -q -n sip-%{version}
%patch50 -p1 -b .no_strip
%patch51 -p1 -b .no_rpath

rm -rf %{py3dir}
cp -a . %{py3dir}


%build
pushd %{py3dir}
%{__python3} configure.py -d %{python3_sitearch} CXXFLAGS="%{optflags}" CFLAGS="%{optflags}" --sipdir=%{_datadir}/python3-sip
make %{?_smp_mflags} 
popd

%{__python2} configure.py -d %{python2_sitearch} CXXFLAGS="%{optflags}" CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
# Perform the Python 3 installation first, to avoid stomping over the Python 2
# /usr/bin/sip:
pushd %{py3dir}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/python3-sip
mv %{buildroot}%{_bindir}/sip %{buildroot}%{_bindir}/python3-sip
popd

# Python 2 installation:
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/sip


# Macros used by -devel subpackages:
install -D -p -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.d/sip.macros

%files 
%defattr(-,root,root)
%doc NEWS README LICENSE LICENSE-GPL2 LICENSE-GPL3
%{python2_sitearch}/sip.so
%{python2_sitearch}/sip*.py*
%{_sysconfdir}/rpm/macros.d/sip.macros
%{_bindir}/sip
%{_datadir}/sip/
%{python2_inc}/*


%files -n python3-sip
%doc NEWS README LICENSE LICENSE-GPL2 LICENSE-GPL3
%{python3_sitearch}/sip.so
%{python3_sitearch}/sip*.py*
###%{python3_sitearch}/__pycache__/*

%files -n python3-sip-devel
# Note that the "sip" binary is invoked by name in a few places higher up
# in the KDE-Python stack; these will need changing to "python3-sip":
%{_bindir}/python3-sip
%{_datadir}/python3-sip/
%{python3_inc}/*


%clean
%{__rm} -rf %{buildroot}


%changelog
* Sat Aug 06 2016 adrianomorselli <adrianomorselli> 4.17-2uplos2016
- rebuild

* Wed Mar 30 2016 woodhead <pp> 4.17-2pclos2016
- added Fedora patches and rebuild acc. Fedora

* Sun Mar 27 2016 woodhead <pp> 4.17-1pclos2016
- update

* Tue Jul 21 2015 pp <pp> 4.16.9-1pclos2015
- update

* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 4.16.4-2pclos2015
- rebuild on python 3.4.2

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.16.4-1pclos2014
- 4.16.4

* Wed Jul 14 2014 pinoc <vogtpet at gmail.com> 4.16.2-2pclos2013
- rebuild acc MGA

* Sat Jul 13 2014 pinoc <vogtpet at gmail.com> 4.16.2-1pclos2013
- 4.16.2

* Tue Nov 05 2013 pinoc <vogtpet at gmail.com> 4.15.3-1pclos2013
- 4.15.3

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.14.6-1pclos2013
- 4.14.6

* Tue Mar 12 2013 pinoc <vogtpet at gmail.com> 4.14.4-1pclos2013
- 4.14.4

* Fri Dec 28 2012 pinoc <vogtpet at gmail.com> 4.14.2-1pclos2013
- 4.14.2
- renamed spec-file

* Thu Mar 01 2012 pinoc <vogtpet at gmail.com> 4.13.2-1pclos2012
- 4.13.2 

* Wed Feb 08 2012 pinoc <vogtpet at gmail.com> 4.12.4-1pclos2012
- 4.12.4 rebuild using spec from 64bit-repo

* Tue Jul 05 2011 Texstar <texstar at gmail.com> 4.12.3-1pclos2011
- 4.12.3

* Fri Jan 28 2011 Texstar <texstar at gmail.com> 4.12.1-1pclos2011
- 4.12.1

* Sat Oct 30 2010 Texstar <texstar at gmail.com> 4.11.2-1pclos2010
- 4.11.2

* Thu Sep 02 2010 Texstar <texstar at gmail.com> 4.10.5-2pclos2010
- rebuild for python 2.6.6

* Wed Aug 11 2010 Texstar <texstar at gmail.com> 4.10.5-1pclos2010
- 4.10.5

* Sat Jun 26 2010 Texstar <texstar at gmail.com> 4.10.2-1pclos2010
- 4.10.2

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 4.10-1pclos2010
- 4.10

* Tue Jan 26 2010 Texstar <texstar at gmail.com> 4.9.3-1pclos2010
- 4.9.3

